Bug 2026933 - MariaDB client profile conflicts with server profile
Summary: MariaDB client profile conflicts with server profile
Keywords:
Status: NEW
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: mariadb
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2036572 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-26 14:14 UTC by Joshua Noeske
Modified: 2023-07-27 07:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Joshua Noeske 2021-11-26 14:14:41 UTC
1. Please describe the problem:
If I install the mariadb server profile with

# dnf module install mariadb:10.5/server

then additionally to the mariadb-server package community-mysql gets installed.
However, if I try to install the client profile with

# dnf module install mariadb:10.5/client

thereafter, I get the following error message:

Error:                                                                                                                 
 Problem: problem with installed package community-mysql-8.0.27-1.fc35.x86_64
  - package community-mysql-8.0.27-1.fc35.x86_64 conflicts with mariadb provided by mariadb-3:10.5.11-1.module_f35+12338+1efd9de4.x86_64
  - package mariadb-3:10.5.11-1.module_f35+12338+1efd9de4.x86_64 conflicts with community-mysql provided by community-mysql-8.0.27-1.fc35.x86_64
  - package community-mysql-8.0.26-1.fc35.x86_64 conflicts with mariadb provided by mariadb-3:10.5.11-1.module_f35+12338+1efd9de4.x86_64
  - package mariadb-3:10.5.11-1.module_f35+12338+1efd9de4.x86_64 conflicts with community-mysql provided by community-mysql-8.0.26-1.fc35.x86_64
  - conflicting requests
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)

The mariadb package provides the mysql program for the database administration as well as the community-mysql package. I don't quite understand why the community-mysql package is even a dependency. If I install mariadb-server without having any mariadb module enabled, the mariadb package is a dependency instead of community-mysql.

2. Specify used package versions
# dnf list installed | grep -i -e maria -e mysql -e galera


community-mysql.x86_64                  8.0.27-1.fc35                         @updates               
community-mysql-common.x86_64           8.0.27-1.fc35                         @updates               
mariadb-backup.x86_64                   3:10.5.11-1.module_f35+12338+1efd9de4 @fedora-modular        
mariadb-common.x86_64                   3:10.5.11-1.module_f35+12338+1efd9de4 @fedora-modular        
mariadb-connector-c-config.noarch       3.1.13-2.fc35                         @fedora                
mariadb-cracklib-password-check.x86_64  3:10.5.11-1.module_f35+12338+1efd9de4 @fedora-modular        
mariadb-errmsg.x86_64                   3:10.5.11-1.module_f35+12338+1efd9de4 @fedora-modular        
mariadb-gssapi-server.x86_64            3:10.5.11-1.module_f35+12338+1efd9de4 @fedora-modular        
mariadb-server.x86_64                   3:10.5.11-1.module_f35+12338+1efd9de4 @fedora-modular        
mysql-selinux.noarch                    1.0.4-3.fc35                          @fedora                
php-mysqlnd.x86_64                      8.0.13-1.fc35                         @updates               


3. Does a systemd journal say anything about the issue?
# journalctl -xe -u mariadb -u mysqld

I don't think that's needed. If that is false, I can provide this of course.

4. Please check and attach the MariaDB or MySQL server log?  ("/var/log/mariadb/mariadb.log" or "/var/log/mysql/mysqld.log")

Same as 3.

5. Please check and paste your configuration here; remove sensitive information.
# /usr/libexec/mysqld --print-defaults

Same as 3.

5. Can you reproduce this issue? If so, please provide the steps to reproduce the issue below:

Yes, with the given commands in 1.

Comment 1 Lukas Javorsky 2021-11-29 14:40:26 UTC
I can confirm this issue is reproducible and should be solved.

Comment 3 Michal Schorm 2021-12-08 11:44:25 UTC
Current situation in Rawhide:


# dnf module install mariadb:10.5/server
Last metadata expiration check: 0:01:44 ago on Wed 08 Dec 2021 06:36:12 AM EST.
Dependencies resolved.
==================================================================================================================
 Package                            Arch      Version                                    Repository          Size
==================================================================================================================
Upgrading:
 policycoreutils                    x86_64    3.3-2.fc36                                 rawhide            201 k
 python3-policycoreutils            noarch    3.3-2.fc36                                 rawhide            2.0 M
Installing group/module packages:
 mariadb-server                     x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular     11 M
Installing dependencies:
 libaio                             x86_64    0.3.111-12.fc35                            rawhide             23 k
 mariadb                            x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular    1.6 M
 mariadb-common                     x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular     32 k
 mariadb-connector-c                x86_64    3.1.13-3.fc36                              rawhide            194 k
 mariadb-connector-c-config         noarch    3.1.13-3.fc36                              rawhide            9.9 k
 mariadb-errmsg                     x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular    187 k
 mysql-selinux                      noarch    1.0.4-3.fc35                               rawhide             35 k
 perl-DBD-MariaDB                   x86_64    1.21-14.fc35                               rawhide            150 k
 perl-DBI                           x86_64    1.643-10.fc35                              rawhide            702 k
 perl-File-Copy                     noarch    2.35-482.fc36                              rawhide             28 k
 perl-Math-BigInt                   noarch    1:1.9998.27-1.fc36                         rawhide            196 k
 perl-Math-Complex                  noarch    1.59-482.fc36                              rawhide             54 k
 perl-Sys-Hostname                  x86_64    1.23-482.fc36                              rawhide             25 k
 policycoreutils-python-utils       noarch    3.3-2.fc36                                 rawhide             72 k
Installing weak dependencies:
 mariadb-backup                     x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular    6.4 M
 mariadb-cracklib-password-check    x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular     17 k
 mariadb-gssapi-server              x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular     20 k
 mariadb-server-utils               x86_64    3:10.5.13-1.module_f36+13464+d9382dcc      rawhide-modular    211 k
Installing module profiles:
 mariadb/server                                                                                                  
Enabling module streams:
 mariadb                                      10.5                                                               

Transaction Summary
==================================================================================================================

# dnf module install mariadb:10.5/client
Last metadata expiration check: 0:03:39 ago on Wed 08 Dec 2021 06:36:12 AM EST.
Dependencies resolved.
==================================================================================================================
 Package                    Architecture              Version                    Repository                  Size
==================================================================================================================
Installing module profiles:
 mariadb/client                                                                                                  

Transaction Summary
==================================================================================================================

Is this ok [y/N]: y
Complete!




# dnf module install mariadb:10.6/server
Last metadata expiration check: 0:02:22 ago on Wed 08 Dec 2021 06:36:12 AM EST.
Dependencies resolved.
==================================================================================================================
 Package                            Arch      Version                                    Repository          Size
==================================================================================================================
Upgrading:
 policycoreutils                    x86_64    3.3-2.fc36                                 rawhide            201 k
 python3-policycoreutils            noarch    3.3-2.fc36                                 rawhide            2.0 M
Installing group/module packages:
 mariadb-server                     x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular     11 M
Installing dependencies:
 libaio                             x86_64    0.3.111-12.fc35                            rawhide             23 k
 mariadb                            x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular    1.6 M
 mariadb-common                     x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular     32 k
 mariadb-connector-c                x86_64    3.1.13-3.fc36                              rawhide            194 k
 mariadb-connector-c-config         noarch    3.1.13-3.fc36                              rawhide            9.9 k
 mariadb-errmsg                     x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular    187 k
 mysql-selinux                      noarch    1.0.4-3.fc35                               rawhide             35 k
 perl-DBD-MariaDB                   x86_64    1.21-14.fc35                               rawhide            150 k
 perl-DBI                           x86_64    1.643-10.fc35                              rawhide            702 k
 perl-File-Copy                     noarch    2.35-482.fc36                              rawhide             28 k
 perl-Math-BigInt                   noarch    1:1.9998.27-1.fc36                         rawhide            196 k
 perl-Math-Complex                  noarch    1.59-482.fc36                              rawhide             54 k
 perl-Sys-Hostname                  x86_64    1.23-482.fc36                              rawhide             25 k
 policycoreutils-python-utils       noarch    3.3-2.fc36                                 rawhide             72 k
Installing weak dependencies:
 mariadb-backup                     x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular    6.4 M
 mariadb-cracklib-password-check    x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular     17 k
 mariadb-gssapi-server              x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular     20 k
 mariadb-server-utils               x86_64    3:10.6.5-1.module_f36+13475+c5e36fc8       rawhide-modular    250 k
Installing module profiles:
 mariadb/server                                                                                                  
Enabling module streams:
 mariadb                                      10.6                                                               

Transaction Summary
==================================================================================================================



# dnf module install mariadb:10.7/server
Last metadata expiration check: 0:02:41 ago on Wed 08 Dec 2021 06:36:12 AM EST.
Dependencies resolved.
==================================================================================================================
 Package                            Arch      Version                                    Repository          Size
==================================================================================================================
Upgrading:
 policycoreutils                    x86_64    3.3-2.fc36                                 rawhide            201 k
 python3-policycoreutils            noarch    3.3-2.fc36                                 rawhide            2.0 M
Installing group/module packages:
 mariadb-server                     x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular     11 M
Installing dependencies:
 libaio                             x86_64    0.3.111-12.fc35                            rawhide             23 k
 mariadb                            x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular    1.6 M
 mariadb-common                     x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular     32 k
 mariadb-connector-c                x86_64    3.1.13-3.fc36                              rawhide            194 k
 mariadb-connector-c-config         noarch    3.1.13-3.fc36                              rawhide            9.9 k
 mariadb-errmsg                     x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular    187 k
 mysql-selinux                      noarch    1.0.4-3.fc35                               rawhide             35 k
 perl-DBD-MariaDB                   x86_64    1.21-14.fc35                               rawhide            150 k
 perl-DBI                           x86_64    1.643-10.fc35                              rawhide            702 k
 perl-File-Copy                     noarch    2.35-482.fc36                              rawhide             28 k
 perl-Math-BigInt                   noarch    1:1.9998.27-1.fc36                         rawhide            196 k
 perl-Math-Complex                  noarch    1.59-482.fc36                              rawhide             54 k
 perl-Sys-Hostname                  x86_64    1.23-482.fc36                              rawhide             25 k
 policycoreutils-python-utils       noarch    3.3-2.fc36                                 rawhide             72 k
Installing weak dependencies:
 mariadb-backup                     x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular    6.5 M
 mariadb-cracklib-password-check    x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular     17 k
 mariadb-gssapi-server              x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular     20 k
 mariadb-server-utils               x86_64    3:10.7.1-1.module_f36+13483+3b9a6c03       rawhide-modular    252 k
Installing module profiles:
 mariadb/server                                                                                                  
Enabling module streams:
 mariadb                                      10.7                                                               

Transaction Summary
==================================================================================================================

Comment 4 Michal Schorm 2021-12-08 11:44:53 UTC
While on F35, the issue exists:

# dnf module install mariadb:10.5/server
Last metadata expiration check: 0:00:14 ago on Wed 08 Dec 2021 06:43:28 AM EST.
Dependencies resolved.
==================================================================================================================
 Package                            Arch      Version                                     Repository         Size
==================================================================================================================
Installing group/module packages:
 mariadb-server                     x86_64    3:10.5.11-1.module_f35+12338+1efd9de4       fedora-modular     11 M
Installing dependencies:
 community-mysql                    x86_64    8.0.27-1.fc35                               updates           2.6 M
 community-mysql-common             x86_64    8.0.27-1.fc35                               updates            70 k
 libaio                             x86_64    0.3.111-12.fc35                             fedora             23 k
 mariadb-common                     x86_64    3:10.5.11-1.module_f35+12338+1efd9de4       fedora-modular     32 k
 mariadb-connector-c-config         noarch    3.1.13-2.fc35                               fedora             10 k
 mariadb-errmsg                     x86_64    3:10.5.11-1.module_f35+12338+1efd9de4       fedora-modular    187 k
 mysql-selinux                      noarch    1.0.4-3.fc35                                fedora             35 k
 policycoreutils-python-utils       noarch    3.3-1.fc35                                  updates            72 k
Installing weak dependencies:
 mariadb-backup                     x86_64    3:10.5.11-1.module_f35+12338+1efd9de4       fedora-modular    6.4 M
 mariadb-cracklib-password-check    x86_64    3:10.5.11-1.module_f35+12338+1efd9de4       fedora-modular     17 k
 mariadb-gssapi-server              x86_64    3:10.5.11-1.module_f35+12338+1efd9de4       fedora-modular     20 k
Installing module profiles:
 mariadb/server                                                                                                  
Enabling module streams:
 mariadb                                      10.5                                                               

Transaction Summary
==================================================================================================================

Comment 5 Michal Schorm 2021-12-08 11:45:34 UTC
We should investigate further what changed between F35 and Rawhide in this area.

Comment 6 Daniel Black 2021-12-31 01:35:43 UTC
Also observed in fc34 - https://lists.launchpad.net/maria-discuss/msg06181.html

Comment 7 Honza Horak 2022-01-03 11:18:31 UTC
*** Bug 2036572 has been marked as a duplicate of this bug. ***

Comment 8 Honza Horak 2022-01-03 12:32:13 UTC
That's weird -- no matter whether trying it with a module or non-modular builds, and no matter whether I run it on my workstation (with lots of packages already installed) or in the empty container image, I still get the mariadb deps picked by dnf (which seems correct).

In any case, I'll share my recent thoughts that I originally included in the BZ#2036572 created by mistake as a duplicate:

There has been some efforts to make the combination of mariadb-server and community-mysql (client tools) working, but I'm not entirely sure about usefulness of this.

At least for the Fedora packaging, there are more ways how packages can say that they do not care about which mysql client tools are available:

1) Requires: (mysql or mariadb)
2) Requires: mysql-compat-client
3) Requires: /usr/bin/mysql

So, maybe we can change the requirement to be more explicit and then fix potential "conflicts" issues by changing the requirements to one of the options above (likely the (1) or (2) option).

What makes this issue a bit more difficult is the idea of using the naming scheme as in RHEL as proposed in: https://fedoraproject.org/wiki/Changes/MariaDB_MySQL_Renaming
On the other hand, removing the mysql provide from mariadb packages would likely make the potential dependency issues more transparent.

Comment 9 Zuzana Miklankova 2023-07-27 07:53:35 UTC
This bug was reproducible on f37 3 months ago (2th of May 2023), when this container image was build[1].
So if anyone wants easy reproducer, it is enough to run container from this particular image and do the above mentioned reproducing steps.
The bug is not reproducible on freshly rebuilt s2i-core:f37 image.


[1] quay.io/fedora/s2i-core@sha256:a1b554e88f18acd859748625e6789e12eb31a9fc99f45b614edba1cb9bddec07


Note You need to log in before you can comment on or make changes to this bug.